Package org.bukkit.event.vehicle

# Class VehicleDestroyEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleDestroyEvent

All Implemented Interfaces:
  `Cancellable`

public class VehicleDestroyEvent extends VehicleEvent implements Cancellable
Raised when a vehicle is destroyed, which could be caused by either a player or the environment. This is not raised if the boat is simply 'removed' due to other means.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleDestroyEvent(@NotNull Vehicle vehicle, @Nullable Entity attacker)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable Entity`
`getAttacker()`
Gets the Entity that has destroyed the vehicle, potentially null
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleDestroyEvent

public VehicleDestroyEvent(@NotNull @NotNull Vehicle vehicle, @Nullable @Nullable Entity attacker)

## Method Details

### getAttacker

@Nullable public @Nullable Entity getAttacker()
Gets the Entity that has destroyed the vehicle, potentially null

Returns:
  the Entity that has destroyed the vehicle, potentially null

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()